org.keycloak.dom.saml.v2.metadata

## Class LocalizedNameType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.LocalizedNameType

-     public class LocalizedNameType
      extends Object

  Java class for localizedNameType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="localizedNameType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `lang`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalizedNameType(String lang)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Gets the value of the lang property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### lang

          protected String lang

  - ### Constructor Detail

    - #### LocalizedNameType

          public LocalizedNameType(String lang)

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.